Subject: Re: bug#5214: 23.1; M-x C-p C-p ... showing strange history elements

From: Juri Linkov <[email-masked]>
Date: Wed, 16 Dec 2009 02:49:51 +0200

>> I agree that pushing completions to M-n of M-x is confusing.
>> I don't find this feature useful.
>
> Then set minibuffer-default-add-function to nil.

I think `minibuffer-default-add-completions' as the value of
`minibuffer-default-add-function' is useful for a list of buffers
for buffer-reading commands because there are ordered by recency.

For most other commands, completions are unordered, so perhaps we should
set `minibuffer-default-add-function' to `minibuffer-default-add-completions'
only for buffer-reading commands.

-- 
Juri Linkov
http://www.jurta.org/emacs/